<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LO21: Etat2D Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LO21
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">automates</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_etat2_d-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Etat2D Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe fille de <a class="el" href="class_etat.html" title="Classe mere Etat dont les classes filles sont Etat1D et Etat2D Le code a ete factorisee de telle sort...">Etat</a>. Correspond a un etat pour les automates deux dimensions.  
 <a href="class_etat2_d.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="etat_8h_source.html">etat.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Etat2D:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_etat2_d.png" usemap="#Etat2D_map" alt=""/>
  <map id="Etat2D_map" name="Etat2D_map">
<area href="class_etat.html" title="Classe mere Etat dont les classes filles sont Etat1D et Etat2D Le code a ete factorisee de telle sort..." alt="Etat" shape="rect" coords="0,0,49,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8914fedf004b94921695130c01b10a54"><td class="memItemLeft" align="right" valign="top"><a id="a8914fedf004b94921695130c01b10a54"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat2_d.html#a8914fedf004b94921695130c01b10a54">Etat2D</a> ()</td></tr>
<tr class="memdesc:a8914fedf004b94921695130c01b10a54"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur par defaut. <br /></td></tr>
<tr class="separator:a8914fedf004b94921695130c01b10a54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a956e19b2cbd5227a821ce568fd1bec01"><td class="memItemLeft" align="right" valign="top"><a id="a956e19b2cbd5227a821ce568fd1bec01"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat2_d.html#a956e19b2cbd5227a821ce568fd1bec01">Etat2D</a> (unsigned int lar, unsigned int haut, unsigned int nbEtats=2)</td></tr>
<tr class="memdesc:a956e19b2cbd5227a821ce568fd1bec01"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur. <br /></td></tr>
<tr class="separator:a956e19b2cbd5227a821ce568fd1bec01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e983f2635c03c8206f50e27edb81a40"><td class="memItemLeft" align="right" valign="top"><a id="a7e983f2635c03c8206f50e27edb81a40"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat2_d.html#a7e983f2635c03c8206f50e27edb81a40">Etat2D</a> (const <a class="el" href="class_etat2_d.html">Etat2D</a> &amp;dep)</td></tr>
<tr class="memdesc:a7e983f2635c03c8206f50e27edb81a40"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur de recopie. <br /></td></tr>
<tr class="separator:a7e983f2635c03c8206f50e27edb81a40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a147b6525ac4bcd038446d8650a87683b"><td class="memItemLeft" align="right" valign="top"><a id="a147b6525ac4bcd038446d8650a87683b"></a>
<a class="el" href="class_etat2_d.html">Etat2D</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat2_d.html#a147b6525ac4bcd038446d8650a87683b">operator=</a> (const <a class="el" href="class_etat2_d.html">Etat2D</a> &amp;dep)</td></tr>
<tr class="memdesc:a147b6525ac4bcd038446d8650a87683b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Operateur d'affectation. <br /></td></tr>
<tr class="separator:a147b6525ac4bcd038446d8650a87683b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3eaa7f0e606a9b2f5fc634d6b571042e"><td class="memItemLeft" align="right" valign="top"><a id="a3eaa7f0e606a9b2f5fc634d6b571042e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat2_d.html#a3eaa7f0e606a9b2f5fc634d6b571042e">~Etat2D</a> ()</td></tr>
<tr class="memdesc:a3eaa7f0e606a9b2f5fc634d6b571042e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructeur. <br /></td></tr>
<tr class="separator:a3eaa7f0e606a9b2f5fc634d6b571042e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46518c3f4abdeffe92edafa10e28b125"><td class="memItemLeft" align="right" valign="top"><a id="a46518c3f4abdeffe92edafa10e28b125"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat2_d.html#a46518c3f4abdeffe92edafa10e28b125">getLargeur</a> () const</td></tr>
<tr class="memdesc:a46518c3f4abdeffe92edafa10e28b125"><td class="mdescLeft">&#160;</td><td class="mdescRight">Accesseur de largeur. <br /></td></tr>
<tr class="separator:a46518c3f4abdeffe92edafa10e28b125"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d632f064c14d07d7fe901e9c1a3a628"><td class="memItemLeft" align="right" valign="top"><a id="a2d632f064c14d07d7fe901e9c1a3a628"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat2_d.html#a2d632f064c14d07d7fe901e9c1a3a628">getHauteur</a> () const</td></tr>
<tr class="memdesc:a2d632f064c14d07d7fe901e9c1a3a628"><td class="mdescLeft">&#160;</td><td class="mdescRight">Accesseur d'hauteur. <br /></td></tr>
<tr class="separator:a2d632f064c14d07d7fe901e9c1a3a628"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac26afb6ae9d4807b3eecb65cb6442ff7"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat2_d.html#ac26afb6ae9d4807b3eecb65cb6442ff7">getCellule</a> (unsigned int lig, unsigned int col) const</td></tr>
<tr class="memdesc:ac26afb6ae9d4807b3eecb65cb6442ff7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Accesseur pour connaitre l'etat d'une cellule.  <a href="#ac26afb6ae9d4807b3eecb65cb6442ff7">More...</a><br /></td></tr>
<tr class="separator:ac26afb6ae9d4807b3eecb65cb6442ff7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf9391d7268af90a653632344cd3cc17"><td class="memItemLeft" align="right" valign="top"><a id="aaf9391d7268af90a653632344cd3cc17"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat2_d.html#aaf9391d7268af90a653632344cd3cc17">setCellule</a> (unsigned int lig, unsigned int col, unsigned int val)</td></tr>
<tr class="memdesc:aaf9391d7268af90a653632344cd3cc17"><td class="mdescLeft">&#160;</td><td class="mdescRight">La methode modifie l'etat d'une cellule avec la valeur val. <br /></td></tr>
<tr class="separator:aaf9391d7268af90a653632344cd3cc17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_etat"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_etat')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_etat.html">Etat</a></td></tr>
<tr class="memitem:a6cb9977958135a329bc4e6662e70bdd1 inherit pub_methods_class_etat"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat.html#a6cb9977958135a329bc4e6662e70bdd1">Etat</a> (unsigned int nbEtats=2)</td></tr>
<tr class="memdesc:a6cb9977958135a329bc4e6662e70bdd1 inherit pub_methods_class_etat"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur de la classe <a class="el" href="class_etat.html" title="Classe mere Etat dont les classes filles sont Etat1D et Etat2D Le code a ete factorisee de telle sort...">Etat</a>.  <a href="class_etat.html#a6cb9977958135a329bc4e6662e70bdd1">More...</a><br /></td></tr>
<tr class="separator:a6cb9977958135a329bc4e6662e70bdd1 inherit pub_methods_class_etat"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d8f1f3bea9019d315bfcc5c1ab3ec15 inherit pub_methods_class_etat"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat.html#a1d8f1f3bea9019d315bfcc5c1ab3ec15">getNbEtats</a> () const</td></tr>
<tr class="memdesc:a1d8f1f3bea9019d315bfcc5c1ab3ec15 inherit pub_methods_class_etat"><td class="mdescLeft">&#160;</td><td class="mdescRight">Accesseur du nombre d'etats.  <a href="class_etat.html#a1d8f1f3bea9019d315bfcc5c1ab3ec15">More...</a><br /></td></tr>
<tr class="separator:a1d8f1f3bea9019d315bfcc5c1ab3ec15 inherit pub_methods_class_etat"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_class_etat"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_etat')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_etat.html">Etat</a></td></tr>
<tr class="memitem:abe6a37128e5a0be847c6f8330285d472 inherit pro_attribs_class_etat"><td class="memItemLeft" align="right" valign="top"><a id="abe6a37128e5a0be847c6f8330285d472"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat.html#abe6a37128e5a0be847c6f8330285d472">nbEtatsParCellule</a></td></tr>
<tr class="memdesc:abe6a37128e5a0be847c6f8330285d472 inherit pro_attribs_class_etat"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nombre d'etat par cellule. <br /></td></tr>
<tr class="separator:abe6a37128e5a0be847c6f8330285d472 inherit pro_attribs_class_etat"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe fille de <a class="el" href="class_etat.html" title="Classe mere Etat dont les classes filles sont Etat1D et Etat2D Le code a ete factorisee de telle sort...">Etat</a>. Correspond a un etat pour les automates deux dimensions. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ac26afb6ae9d4807b3eecb65cb6442ff7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac26afb6ae9d4807b3eecb65cb6442ff7">&#9670;&nbsp;</a></span>getCellule()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Etat2D::getCellule </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>lig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Accesseur pour connaitre l'etat d'une cellule. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">lig</td><td>indice de la ligne de la cellule consideree </td></tr>
    <tr><td class="paramname">col</td><td>indice de la colonne de la cellule consideree </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="etat_8h_source.html">etat.h</a></li>
<li>etat.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.14
</small></address>
</body>
</html>
